Tryton - Issues

 

Issue5441

Title Peruvian Spanish Translation (es_PE)
Priority feature Status closed
Superseder Need for derivative translations support
View: 5443
Nosy List ced, csotelo, nando
Type feature request Components trytond
Assigned To ced Keywords
Reviews

Created on 2016-03-30.19:46:57 by nando, last changed by ced.

Messages
msg29131 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-10-02.15:24:57
Closing it because all Latin American Spanish translations will be merged under es_419.
https://groups.google.com/d/msgid/tryton-dev/20160921072637.GS29096%40tetsuo
msg28910 (view) Author: [hidden] (nando) Date: 2016-09-21.19:53:33
@csotelo

As indicated by Cedric I was understood, I thank you anyway for your
explanation.

Best regards

Carlos

Con lo indicado por Cedric quedo entendido, te agradezco de todas formas
por tu explicación.

Atentamente,

El 21/09/16 a las 09:40, Carlos Eduardo Sotelo Pinto escribió:
> Carlos Eduardo Sotelo Pinto <carlos.sotelo.pinto@gmail.com> added the comment:
>
> @nando
>
> Yes, as @cedrik says, just translate differences, no the whole list of words. The target on working on translate is using herarchical languages.
> As example, if you have es, then you just need to add es_PE diferences, no doing again the whole es_PE tranlation
>
> Regards
>
>
> Fernando.
>
> Solo traduzca las diferencias, la idea de archivos jerárquicos es que solo se traduzca lo propio del idioma a traducir, como por ejemplo entre el es y el es_PE, solo los términos locales que difieren del idioma principal.
>
> Saludos
>
> _______________________________________________
> Tryton issue tracker <issue_tracker@tryton.org>
> <https://bugs.tryton.org/issue5441>
> _______________________________________________
msg28899 (view) Author: [hidden] (csotelo) Date: 2016-09-21.16:40:26
@nando

Yes, as @cedrik says, just translate differences, no the whole list of words. The target on working on translate is using herarchical languages.
As example, if you have es, then you just need to add es_PE diferences, no doing again the whole es_PE tranlation

Regards


Fernando.

Solo traduzca las diferencias, la idea de archivos jerárquicos es que solo se traduzca lo propio del idioma a traducir, como por ejemplo entre el es y el es_PE, solo los términos locales que difieren del idioma principal.

Saludos
msg28889 (view) Author: [hidden] (nando) Date: 2016-09-21.15:14:56
Ok Cedric
It will be made according to what is indicated.

Regards

Fernando S.

El 21/09/16 a las 02:23, Cédric Krier escribió:
> Cédric Krier <cedric.krier@b2ck.com> added the comment:
>
> @nando I see you started to translate but you have duplicated many of the translations from es. This is wrong. You must only translate the differences.
>
> _______________________________________________
> Tryton issue tracker <issue_tracker@tryton.org>
> <https://bugs.tryton.org/issue5441>
> _______________________________________________
msg28874 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-09-21.09:23:30
@nando I see you started to translate but you have duplicated many of the translations from es. This is wrong. You must only translate the differences.
msg28867 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-09-20.23:06:22
@nando you are now admin of es_PE.
I keep the issue open because I still need to add the language to trytond.
msg28860 (view) Author: [hidden] (csotelo) Date: 2016-09-20.16:56:05
Cedrik

Spanish (Peru) is no yet created on pootle. 

Best regards

Note: My user name is csotelo
msg28857 (view) Author: [hidden] (nando) Date: 2016-09-20.13:59:56
Hi Cedric

I can not see the alternative es_PE translation in pootle.tryton, please
enable my user nandoboom. I'll take care of the translation in spanish peru.

Best Regards

Fernando Sánchez

El 12/09/16 a las 17:25, Fernando Sánchez escribió:
> user: nandoboom
>
>
> El 11/09/16 a las 04:23, Cédric Krier escribió:
>> Cédric Krier <cedric.krier@b2ck.com> added the comment:
>>
>> issue5443 is fixed so we can create es_PE.
>> What is your username on Pootle?
>>
>> ----------
>> status: deferred -> chatting
>>
>> _______________________________________________
>> Tryton issue tracker <issue_tracker@tryton.org>
>> <https://bugs.tryton.org/issue5441>
>> _______________________________________________
msg28694 (view) Author: [hidden] (nando) Date: 2016-09-13.00:45:18
user: nandoboom

El 11/09/16 a las 04:23, Cédric Krier escribió:
> Cédric Krier <cedric.krier@b2ck.com> added the comment:
>
> issue5443 is fixed so we can create es_PE.
> What is your username on Pootle?
>
> ----------
> status: deferred -> chatting
>
> _______________________________________________
> Tryton issue tracker <issue_tracker@tryton.org>
> <https://bugs.tryton.org/issue5441>
> _______________________________________________
msg28646 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-09-11.11:23:29
issue5443 is fixed so we can create es_PE.
What is your username on Pootle?
msg25559 (view) Author: [hidden] (csotelo) Date: 2016-04-18.18:47:41
Extra information before post on the created issued. I am in favor on having flavor per country, the reason is related to the names of some words. Just for take an example
- VAT, in latin american, it could have a lot of names and interpretation like IGV or RUC ( Peru ), or IVA
- Statements for some latin american countries mean "extractos", and other like Peru "Estados", since it is an account related

Theses are just examples, and as coders, we must know this all meanings, however, a final user, if I tell them, they could look for "extracto" when they look for a "estado de cuenta", they wourl say me that I am wrong ( It happened ).

That is the reason on I guess is important on having the flavor language / country
msg25335 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-31.00:38:08
I created issue5443 to start the discussion about how to manage such cases.
msg25333 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-31.00:04:27
I start to be a little annoyed by the proliferation of Spanish translations. We have already some that are explicitly mainly a copy of another translations.
When I look at the software installed on my system, almost all of them have only one Spanish translation.
I don't think it is good for the health of the system to continue to add more and more Spanish variant without having a plan to reduce the maintenance.
msg25330 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2016-03-30.21:49:48
I translate the spanish text so other comunity memebers can understand: 

> Can you please create the peruvian language (es_PE) on pootle.tryton.org
> I will work on this translation.
msg25328 (view) Author: [hidden] (nando) Date: 2016-03-30.19:46:57
Por favor crear la traduccion peruana de tryton es_PE dentro de pootle.tryton.org
Me encargare de completar los archivos de traduccion.
History
Date User Action Args
2016-10-02 15:24:57cedsetstatus: in-progress -> closed
messages: + msg29131
2016-09-21 19:53:33nandosetmessages: + msg28910
2016-09-21 16:40:26csotelosetmessages: + msg28899
2016-09-21 15:14:56nandosetmessages: + msg28889
2016-09-21 09:23:30cedsetmessages: + msg28874
2016-09-20 23:06:22cedsetstatus: chatting -> in-progress
assignedto: ced
component: + trytond
messages: + msg28867
2016-09-20 16:58:39pokolisetnosy: - pokoli
2016-09-20 16:56:05csotelosetmessages: + msg28860
2016-09-20 13:59:57nandosetmessages: + msg28857
2016-09-13 00:45:19nandosetmessages: + msg28694

Showing 10 items. Show all history (warning: this could be VERY long)